<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <!-- Google Font: Source Sans Pro -->

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- DataTables -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <!--  -->
    <script src="https://cdn.jsdelivr.net/npm/@fancyapps/ui@5.0/dist/fancybox/fancybox.umd.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fancyapps/ui@5.0/dist/fancybox/fancybox.css" />

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">

    <link rel="stylesheet" href="headerfooter.css">
    <link rel="stylesheet" href="style.css">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" />
    <style>
        .content-user-detail {
            margin: 150px 30px 20px 30px;
        }

        .img-user-detail {
            box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px, rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
            padding: 20px;
        }

        .div-detail-user {
            margin-top: 30px;
        }

        .table-detail-user {
            margin-top: 50px;
        }

        .change-avata {
            cursor: pointer;
        }

        .avata-main-user {
            width: 100%;
            height: 300px;

        }
    </style>

</head>

<body>
    <header style="width: 100%;">
        <div class="pos-f-t">
            <div class="collapse" id="navbarToggleExternalContent">
                <div class="bg-header-content p-4">
                    <div class="row">
                        <div class="col-sm-4">
                            <h1 class="text-white h1 "><a class="text-white" href="./index.html">TRANG CHỦ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Contact.html">TRANG LIÊN HỆ</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="">TRANG TIN TỨC</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./About.html">VỀ CÔNG TY</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Apartment.html">TRANG
                                    MUA/BÁN NHÀ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./DetailProperties.html">TRANG
                                    MUA/BÁN CĂN HỘ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./AddProperties.html">TRANG
                                    MUA/BÁN ĐẤT</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./User.html">TRANG THÔNG TIN
                                    NGƯỜI DÙNG</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Login.html">TRANG ĐĂNG NHẬP</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Register.html">TRANG ĐĂNG
                                    KÝ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./AddProperties.html">TRANG ĐĂNG
                                    TIN BẤT ĐỘNG SẢN</a>
                            </h1>
                            <p class="mt-5">TUYỂN DỤNG</p>
                            <P>LIÊN HỆ</P>
                        </div>
                        <div class="col-sm-5 text-center mt-5">
                            <h4 class="text-white h1 mt-3"><a class="text-white" href="./TinTuc.html">TIN TỨC</a></h4>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./PhongThuy.html">PHONG THỦY</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Sao.html">SAO & BIỆT
                                    THỰ</a></h1>
                            <h4>BIỂU TƯỢNG</h4>
                            <h4>KHU DÂN CƯ</h4>
                            <h4>KHÁCH HÀNG</h4>
                            <h4>NHÀ Ở</h4>
                            <h4>CĂN HỘ</h4>
                            <h4>DỰ ÁN</h4>
                            <h4>ĐẤT NỀN</h4>


                        </div>
                        <div class="col-sm-3 text-right mt-5">
                            <p>FACEBOOK</p>
                            <P>YOUTUBE</P>
                            <P>LINKEDIN</P>
                            <P>ZALO</P>
                            <P>INSTAGRAM</P>
                            <P>TIKTOK</P>
                            <P>84.28-356789</P>
                            <P>CONTACT@ALPHADELTA.VN</P>

                        </div>

                    </div>


                </div>

            </div>

            <nav class="navbar navbar-dark bg-header nav-head" style="">

                <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarToggleExternalContent" aria-controls="navbarToggleExternalContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="row-header row">
                    <!-- <h2 class="text-center" id="logo">ALPHADELTA</h2> -->
                    <img class="logo-main" src="image/logo New1.png" width="" height="100px" alt="">
                </div>
                <div class="d-flex header-trans">
                    <img class="mr-2 find-search" src="./image/icons8-find-48.png" alt="">

                    <a class="a-mobile-trans" href="">VN</a>
                    <hr class="hr-trans">
                    <a class="a-mobile-trans" href="">EN</a>
                </div>

            </nav>

        </div>
    </header>

    <div class="content-user-detail">
        <h1>Thông tin chi tiết user</h1>

        <div class="row">
            <div class="col-lg-6">
                <label for="">ContatcName</label>
                <input type="text" name="" id="inp-name" class="form-control">
                <label for="" class="mt-3">Address</label>
                <input type="text" name="" id="inp-address" class="form-control">
                <label for="" class="mt-3">Moblie</label>
                <input type="text" name="" id="inp-mobile" class="form-control">
                <label for="" class="mt-3">Email</label>
                <input type="text" name="" id="inp-email" class="form-control">
                <label for="" class="mt-3">Description</label>
                <input type="text" name="" id="inp-des" class="form-control">
                <label for="" class="mt-3">ContactTile</label>
                <input type="text" name="" id="inp-title" class="form-control">




                <div class="d-flex justify-content-end mt-3">
                    <img src="./image/icons8-edit.gif" alt="">
                    <button id="btn-update" class="btn btn-success px-5 py-3">Update</button>
                </div>
            </div>
            <div class="col-lg-1">

            </div>
            <div id="col-right-user-detail" class="col-lg-5 text-center img-user-detail">


            </div>
        </div>

        <div class="table-detail-user">
            <table id="table-detail-real" class="table table-striped table-bordered">
                <thead class="table-primary">
                    <tr>
                        <th>STT</th>
                        <th>Tên</th>
                        <th>Địa chỉ</th>
                        <th>Giá</th>
                        <th>Diện tích</th>
                        <th>Nhu cầu</th>
                        <th>Phòng ngủ</th>
                        <th>Phòng tắm</th>
                        <th>Mô tả</th>
                        <th>Kiến trúc</th>
                        <th>Số tầng</th>
                        <th>Trạng Thái</th>
                        <th>Chiều dài</th>
                        <th>Chiều rộng</th>
                        <th>Ngày Đăng bán</th>

                        <th>Hình ảnh</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody class="table-danger text-white">

                </tbody>

            </table>
        </div>
        <!-- modal update -->
        <div id="modal-update-real" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog  modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Update Real</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label for="">Title</label>
                        <input type="text" name="" id="inp-up-title" class="form-control">
                        <label for="" class="mt-3">Address</label>
                        <input type="text" name="" id="inp-up-address" class="form-control">
                        <label for="" class="mt-3">Price</label>
                        <input type="text" name="" id="inp-up-price" class="form-control">
                        <label for="" class="mt-3">acreage</label>
                        <input type="text" name="" id="inp-up-ac" class="form-control">
                        <label for="" class="mt-3">Description</label>
                        <input type="text" name="" id="inp-up-des" class="form-control">
                        <label for="" class="mt-3">Request</label>
                        <input type="text" name="" id="inp-up-request" class="form-control">
                        <label for="" class="mt-3">Bedroom</label>
                        <input type="text" name="" id="inp-up-bedroom" class="form-control">
                        <label for="" class="mt-3">Bath</label>
                        <input type="text" name="" id="inp-up-bath" class="form-control">
                        <label for="" class="mt-3">Structure</label>
                        <input type="text" name="" id="inp-up-struc" class="form-control">
                        <label for="" class="mt-3">Floor</label>
                        <input type="text" name="" id="inp-up-floor" class="form-control">
                        <label for="" class="mt-3">Status</label>
                        <input type="text" name="" id="inp-up-status" class="form-control">
                        <label for="" class="mt-3">Long-X</label>
                        <input type="text" name="" id="inp-up-x" class="form-control">
                        <label for="" class="mt-3">Width-Y</label>
                        <input type="text" name="" id="inp-up-y" class="form-control">
                        <label for="" class="mt-3">Photo</label>
                        <input type="file" name="" class="form-control" id="inp-file-photo-real">


                    </div>
                    <div class="modal-footer">
                        <button id="btn-save-update" type="button" class="btn btn-primary">Save changes</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- end update -->

    </div>
    <footer>
        <div class="footer-content">
            <div class="row">
                <div class="col-sm-5" data-aos="zoom-in-down" data-aos-easing="linear" data-aos-duration="2500">
                    <h2 class="">THÔNG TIN
                    </h2>

                    <h1 class="mb-5">LIÊN HỆ</h1>

                    <h4 class="info-footer">TRỤ SỞ</h4>
                    <p>Alphadelta 96 Phan Đăng Lưu, Quận 9, Thành phố Hồ Chí Minh</p>
                    <h4 class="info-footer">VĂN PHÒNG ĐẠI DIỆN Ở HÀ NỘI</h4>
                    <p>LK- C29, Khu biệt thự liền kề Embassy Garden,
                        Hoàng Minh Thảo, Xuân Tảo, Bắc Từ Liêm, Hà Nội</p>
                    <h4 class="info-footer">LIÊN HỆ VỚI CHÚNG TÔI </h4>
                    <p>Hotline: (+84 00 1234 5679)</p>
                    <p>Email: contact@alphadelt.vn</p>
                    <div class="d-flex mt-5">
                        <img src="./image/icons8-facebook-96 (1).png" height="70px" alt="">
                        <img src="./image/icons8-tiktok-96.png" height="70px" alt="">
                        <img src="./image/icons8-instagram-96.png" height="70px" alt="">
                    </div>


                    <div class="mt-5">
                        <p>@ 2021 Alphadelta All rights reserved</p>
                    </div>

                </div>

                <div class="col-sm-2">

                </div>
                <div class="col-sm-5 text-center">
                    <img class="img-building-footer" src="./image/apartment footer_transparent.png" width="100%"
                        height="650px" alt="">
                </div>


            </div>
        </div>
    </footer>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "http://localhost:8080/"
    const gCOL_NAME = ["stt", "title", "address", "price", "acreage", "request", "bedroom", "bath", "description", "structure", "totalFloors", "status", "longX", "withY", "dateCreate", "photo"]
    var gIdCutomer = 0;
    var gStt = 0;

    var accessToken = localStorage.getItem('token');
    var idUser = localStorage.getItem('user_id');
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onLoadInfoDetailUser();
        $("#btn-update").on("click", function () {
            onBtnUpdateCustomer();
        })

        $(document).on("click", "#btn-change-avata", function () {
            onBtnUpdateAvata();
        })

        $("#table-detail-real").DataTable({
            scrollX: true,
            columns: [
                { data: gCOL_NAME[0] },
                { width: '200px', data: gCOL_NAME[1] },
                { width: '250px', data: gCOL_NAME[2] },
                { data: gCOL_NAME[3] },
                { data: gCOL_NAME[4] },
                { data: gCOL_NAME[5] },
                { data: gCOL_NAME[6] },
                { data: gCOL_NAME[7] },
                { width: '500px', data: gCOL_NAME[8] },
                { data: gCOL_NAME[9] },
                { data: gCOL_NAME[10] },
                { data: gCOL_NAME[11] },
                { data: gCOL_NAME[12] },
                { data: gCOL_NAME[13] },
                { data: gCOL_NAME[14] },
                { data: gCOL_NAME[15] },
                { data: gCOL_NAME[16] },
            ],

            columnDefs: [
                {
                    targets: 0,
                    render: function changeStt() {
                        return gStt++;
                    }
                },
                {
                    targets: 16,
                    defaultContent: '<i class="fa-solid fa-pencil btn-update mr-3"></i>' + '<i class="fa-solid fa-calendar-xmark btn-delete"></i>'
                },
                {
                    targets: 15,
                    render: function changePhoto(data) {

                        return '<div> <img src="./image/project/' + data + ' " alt="" width="100px"></div>'
                    }



                }

            ]

        })

        $("#table-detail-real").on("click", ".btn-update", function () {
            var vId = getDataRow(this);
            $("#modal-update-real").modal('show');
            onLoadReal(vId.id);
            $("#btn-save-update").on("click", function () {
                onBtnUpdateReal(vId.id);
            })
        })


    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onLoadInfoDetailUser() {
        $.ajax({
            url: gBASE_URL + "users/user/" + idUser,
            type: "GET",
            headers: { "Authorization": "Bearer " + accessToken },
            success: function (paramRes) {
                handleLoadInfo(paramRes);
                handleLoadUserDetail(paramRes);
                gIdCutomer = paramRes.customers.id;
                drawTable(paramRes.realestate)
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }
        })
    }

    function onBtnUpdateCustomer() {
        var vObj = {

            contactName: "",
            contactTitle: "",


            address: "",
            mobile: "",
            description: "",
            email: "",
            createBy: "",
            updateBy: "",
            createDate: "",
            updateDate: "",
            avata: "",
            note: "",
        }
        thuThapThongTin(vObj);
        $.ajax({
            url: gBASE_URL + "customer/" + gIdCutomer,
            type: "PUT",
            headers: { "Authorization": "Bearer " + accessToken },
            data: JSON.stringify(vObj),
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            success: function (paramRes) {
                alert("update thành công");
                location.reload();
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }

        })
    }
    function onBtnUpdateAvata() {
        var vObj = {
            avata: "",
        }
        var vInpAvata = $("#inp-avata").val();
        var vAvata = vInpAvata.replace(/^.*\\/, "");
        vObj.avata = vAvata;
        $.ajax({
            url: gBASE_URL + "customer/updateAvata/" + gIdCutomer,
            type: "PUT",
            headers: { "Authorization": "Bearer " + accessToken },
            data: JSON.stringify(vObj),
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            success: function (paramRes) {
                alert("update thành công");
                location.reload();
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }

        })

    }
    function onLoadReal(vId) {
        $.ajax({
            url: gBASE_URL + "realestate/" + vId,
            headers: { "Authorization": "Bearer " + accessToken },
            type: "GET",
            success: function (paramRes) {
                fillInputDataReal(paramRes);
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }

        })
    }

    function drawTable(paramData) {
        var vTable = $("#table-detail-real").DataTable();
        vTable.clear();
        gStt = 0;
        vTable.rows.add(paramData);
        vTable.draw();
    }
    function getDataRow(paramElement) {
        var vTable = $("#table-detail-real").DataTable();
        var vrow = $(paramElement).closest("tr");
        var vData = vTable.row(vrow).data();
        return vData;
    }

    function onBtnUpdateReal(vId) {
        var vObj = {
            title: "",
            address: "",
            bath: "",
            bedroom: "",
            description: "",
            totalFloors: 0,
            structure: "",
            status: 0,
            acreage: 0,
            price: 0,
            longX: 0,
            withY: 0,
            request: "",
            photo: "",
        }
        thuThapThongTinUpdateReal(vObj);
        $.ajax({
            url: gBASE_URL + "realestateUp/" + vId,
            headers: { "Authorization": "Bearer " + accessToken },
            type: "PUT",
            data: JSON.stringify(vObj),
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            success: function (paramRes) {
                alert("update thành công");
                location.reload();
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }

        })
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function handleLoadInfo(paramData) {
        $("#inp-name").val(paramData.customers.contactName);
        $("#inp-address").val(paramData.customers.address);
        $("#inp-mobile").val(paramData.customers.mobile);
        $("#inp-email").val(paramData.customers.email);
        $("#inp-des").val(paramData.customers.description);
        $("#inp-title").val(paramData.customers.contactTitle);

    }
    function thuThapThongTin(paramObj) {
        paramObj.contactName = $("#inp-name").val();
        paramObj.contactTitle = $("#inp-title").val();
        paramObj.address = $("#inp-address").val();
        paramObj.mobile = $("#inp-mobile").val();
        paramObj.email = $("#inp-email").val();
        paramObj.description = $("#inp-des").val();
    }
    function handleLoadUserDetail(paramData) {
        $("#col-right-user-detail").append(`
            <img src="./image/${paramData.customers.avata}" class="avata-main-user"  alt="">
                <div class="div-detail-user">
                    <div class="d-flex change-avata">
                        <input type="file" name="" id="inp-avata">
                       
                        <img id="btn-change-avata" src="./image/icons8-ok.gif" width="40px" alt="">
                        <img src="./image/icons8-heart.gif" alt="">

                    </div>

                    <h1>${paramData.customers.contactName}</h1>
                    <h5>Email: ${paramData.customers.email}</h5>
                    <h5>Địa chỉ: ${paramData.customers.address}</h5>
                    <h5>Số điện thoại: ${paramData.customers.mobile}s</h5>

            </div>
        `)
    }
    function thuThapThongTinUpdateReal(paramObj) {
        paramObj.title = $("#inp-up-title").val();
        paramObj.address = $("#inp-up-address").val();
        paramObj.description = $("#inp-up-des").val();
        paramObj.bedroom = $("#inp-up-bedroom").val();
        paramObj.bath = $("#inp-up-bath").val();
        paramObj.status = $("#inp-up-status").val();
        paramObj.longX = $("#inp-up-x").val();
        paramObj.withY = $("#inp-up-y").val();
        paramObj.request = $("#inp-up-request").val();
        paramObj.structure = $("#inp-up-struc").val();
        paramObj.price = $("#inp-up-price").val();
        paramObj.acreage = $("#inp-up-ac").val();
        paramObj.totalFloors = $("#inp-up-floor").val();
        var filePath = $("#inp-file-photo-real").val();
        var fileName = filePath.replace(/^.*\\/, "");
        paramObj.photo = fileName;

    }
    function fillInputDataReal(parmData) {
        $("#inp-up-title").val(parmData.title);

        $("#inp-up-address").val(parmData.address);
        $("#inp-up-des").val(parmData.description);
        $("#inp-up-bedroom").val(parmData.bedroom);
        $("#inp-up-bath").val(parmData.bath);
        $("#inp-up-status").val(parmData.status);
        $("#inp-up-x").val(parmData.longX);
        $("#inp-up-y").val(parmData.withY);
        $("#inp-up-request").val(parmData.request);
        $("#inp-up-struc").val(parmData.structure);
        $("#inp-up-price").val(parmData.price);
        $("#inp-up-ac").val(parmData.acreage);
        $("#inp-up-floor").val(parmData.totalFloors);


    }

</script>